<?xml version="1.0" encoding="utf-8"?>

<!--  *********************************************************************************

BASIC! is an implementation of the Basic programming language for
Android devices.
 
 Copyright (C) 2010 - 2014 Paul Laughton

This file is part of BASIC! for Android

    BASIC! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BASIC! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BASIC!.  If not, see <http://www.gnu.org/licenses/>.

    You may contact the author or current maintainers at http://rfobasic.freeforums.org
	
	**********************************************************************************
	-->

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:id="@+id/the_view"
	android:layout_width="fill_parent"
	android:layout_height="fill_parent"
	android:background="#888888"
	android:focusable="true" 
    android:focusableInTouchMode="true"
	android:fitsSystemWindows = "true"
>
	<LinearLayout android:id="@+id/text_layout"
		android:layout_width="fill_parent"
		android:layout_height="fill_parent"
		android:layout_above="@+id/search_fields"
		android:layout_marginBottom="8dip"
		android:background="#FFFFFF"
	>
		<EditText android:id="@+id/the_text"
			android:layout_width="fill_parent"
			android:layout_height="fill_parent"
			android:layout_marginLeft="5dip"
			android:layout_marginRight="5dip"
			android:gravity="top"
			android:scrollHorizontally="true"
			android:typeface="monospace"
			android:inputType="textMultiLine|textNoSuggestions"
			android:imeActionLabel="OK"
			android:imeOptions="actionDone"
			style="@style/s_edit_text"
		/>
	</LinearLayout>

	<LinearLayout android:id="@+id/search_fields"
		android:layout_width="fill_parent"
		android:layout_height="32dip"
		android:orientation="horizontal"
		android:layout_above="@+id/replace_fields"
		android:layout_marginRight="8dip"
		android:layout_marginBottom="8dip"
	>
		<TextView
			android:layout_weight="2"
			android:layout_width="0dip"
			android:layout_height="fill_parent"
			android:layout_marginRight="8dip"
			android:gravity="right|center_vertical"
			android:text="Search:"
			android:maxLines="1"
			style="@style/s_label"
		/>
		<EditText android:id="@+id/search_text"
			android:layout_weight="6"
			android:layout_width="0dip"
			android:layout_height="fill_parent"
			android:layout_marginRight="8dip"
			android:inputType="text|textNoSuggestions"
			android:imeActionLabel="OK"
			android:imeOptions="actionDone"
			android:typeface="monospace"
			style="@style/s_edit_text"
		/>
		<LinearLayout
			android:layout_weight="2"
			android:layout_width="0dp"
			android:layout_height="fill_parent"
			android:orientation="horizontal"
		>
			<CheckBox android:id="@+id/case_chkbox"
				android:layout_width="wrap_content"
				android:layout_height="fill_parent"
				android:paddingRight="6dp"
				android:background="#FFFFFF"
				android:maxLines="1"
				android:text="tT"
				android:textColor="#FF000000"
				android:textSize="16dp"
				android:checked="false"
			/>
		</LinearLayout>
	</LinearLayout>

	<LinearLayout android:id="@+id/replace_fields"
		android:layout_width="fill_parent"
		android:layout_height="32dip"
		android:orientation="horizontal"
		android:layout_above="@+id/search_buttons"
		android:layout_marginRight="8dip"
		android:layout_marginBottom="8dip" 
		android:visibility="visible"
	>
		<TextView
			android:layout_weight="2"
			android:layout_width="0dip"
			android:layout_height="fill_parent"
			android:layout_marginRight="8dip"
			android:gravity="right|center_vertical"
			android:text="Replace:"
			android:maxLines="1"
			style="@style/s_label"
		/>
		<EditText android:id="@+id/replace_text"
			android:layout_weight="6"
			android:layout_width="0dip"
			android:layout_height="fill_parent"
			android:layout_marginRight="8dip"
			android:inputType="text|textNoSuggestions"
			android:imeActionLabel="OK"
			android:imeOptions="actionDone"
			android:typeface="monospace"
			style="@style/s_edit_text"
		/>
		<TextView
			android:layout_weight="2"
			android:layout_width="0dip"
			android:layout_height="fill_parent"
			android:text=""
			style="@style/s_label"
		/>
	</LinearLayout>
	<LinearLayout android:id="@+id/search_buttons"
		android:layout_width="fill_parent"
		android:layout_height="40dip"
		android:orientation="horizontal"
		android:layout_marginLeft="8dip"
		android:layout_marginRight="8dip"
		android:layout_marginBottom="8dip"
		android:layout_alignParentBottom="true" >

		<Button android:id="@+id/next_button"
			android:layout_weight="1"
			android:text="Next" 
			style="@style/s_button"
		/>
		<Button android:id="@+id/replace_button"
			android:layout_weight="1"
			android:text="Once" 
			style="@style/s_button"
		/>
		<Button android:id="@+id/replace_all_button"
			android:layout_weight="1"
			android:text="All" 
			style="@style/s_button"
		/>
		<Button android:id="@+id/done_button"
			android:layout_weight="1"
			android:text="DONE" 
			style="@style/s_button"
		/>
	</LinearLayout>
</RelativeLayout>
